<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phhone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'PHONE NUMBER', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phhone',
	array(
		'settings'      => 'luzuk_contactus_phhone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Label', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+1 999 999 9999', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No. One', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+1 888 888 888', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone2',
	array(
		'settings'      => 'luzuk_contactus_phone2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No. Two', 'luzuk Premium' )
	)
);

// contact us email 
$wp_customize->add_setting(
	'luzuk_contactus_emailid',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'EMAIL ADDRESS', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_emailid',
	array(
		'settings'      => 'luzuk_contactus_emailid',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Label', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'contact@example.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID One', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_email2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@example.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email2',
	array(
		'settings'      => 'luzuk_contactus_email2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID Two', 'luzuk Premium' )
	)
);

//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'luzuk_contactus_addrress',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'LOCATION', 'luzuk Premium' ) 
	)
);
$wp_customize->add_control(
	'luzuk_contactus_addrress',
	array(
		'settings'      => 'luzuk_contactus_addrress',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Label', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Contact Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_contpageclr', 'luzuk_premium_contactus_section', 'Page Color ');


addColorPalatOption($wp_customize, 'luzuk_contactus_detailbgClr', 'luzuk_premium_contactus_section', 'Contact Details Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Contact Details Box Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnbgClr', 'luzuk_premium_contactus_section', 'Contact Details Box Icon BG Color', '#619b34');

addColorPalatOption($wp_customize, 'luzuk_contactus_dtitleClr', 'luzuk_premium_contactus_section', 'Contact Details Box Title Color', '#00302d');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Contact Details Box Address , Email , Phone No. Color', '#4c4a4a');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Contact Details Box Email , Phone No. Hover Color', '#619b34');

$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);

backgroundManager($wp_customize, 'con_page', 'luzuk_premium_contactus_section', $color='#fff', get_template_directory_uri().'/images/contactinner.jpg', 'color');

addColorPalatOption($wp_customize, 'luzuk_contactus_ingolyClr', 'luzuk_premium_contactus_section', 'Image Overlay Color', '#f7f5f5');

$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'SEND YOUR MESSAGE', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Section Title', 'luzuk Premium' )
	)
);


//
$wp_customize->add_setting(
	'luzuk_contactus_formsutitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Feel free to reach out with any questions or comments below', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_formsutitle',
	array(
		'settings'      => 'luzuk_contactus_formsutitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Sub Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);


//lzAddElement($wp_customize, 'luzuk_contactus_shortcode', $section, 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleColor', 'luzuk_premium_contactus_section', 'Form Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formsutitleColor', 'luzuk_premium_contactus_section', 'Form Sub Title Color', '#619b34');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#847f7f');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Border Color', '#847f7f');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Hover Color', '#619b34');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#619b34');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#fff');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));
