<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'premium_slider_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'premium_slider_show_content',
		array(
			'settings'      => 'premium_slider_show_content',
			'section'       => 'premium_slider_section',
			'label'         => __( 'Show Title And Description On Slider', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			),
		)
	)
);

backgroundManager($wp_customize, 'slider', 'premium_slider_section', $color='#fff', get_template_directory_uri().'/images/sliderbg.png', 'color');

lzCustomLable($wp_customize, 'luzuk_msliderclr', 'premium_slider_section', 'Section Color');

addColorPalatOption($wp_customize, 'slider_TitleColor', 'premium_slider_section', 'Slider Title Color', '#619b34');

addColorPalatOption($wp_customize, 'slider_textColor', 'premium_slider_section', 'Slider Text Color', '#7e7e7e');

addColorPalatOption($wp_customize, 'slider_textlistClr', 'premium_slider_section', 'Slider List Text Color', '#7e7e7e');

addColorPalatOption($wp_customize, 'slider_texticnClr', 'premium_slider_section', 'Slider List Text Icon Color', '#619b34');

addColorPalatOption($wp_customize, 'slider_ButtonTextClr', 'premium_slider_section', 'Slider Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtonTexthvClr', 'premium_slider_section', 'Slider Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtonbgColor', 'premium_slider_section', 'Slider Button BG Color', '#619b34');

addColorPalatOption($wp_customize, 'slider_ButtonbghoverColor', 'premium_slider_section', 'Slider Button BG Hover Color', '#2e4179');


addColorPalatOption($wp_customize, 'slider_DotColor', 'premium_slider_section', 'Slider Arrow BG Color', '#b9d3a6');

addColorPalatOption($wp_customize, 'slider_ActdotColor', 'premium_slider_section', 'Slider Arrow Color', '#5f9932');
