<?php   
if(get_theme_mod('service_area_disable') != 'on' ){ ?>
	<?php 
		if( get_theme_mod('service_areaTpadding',true) ) {
			$service_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('service_areaTpadding')).';';
		}
		if( get_theme_mod('service_areaBpadding',true) ) {
			$service_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('service_areaBpadding')).';';
		}
		
	?>	

	<div class="service-area " id="service" style="<?php echo esc_attr($service_areaTpadding); ?>" "<?php echo esc_attr($service_areaBpadding); ?>" >
		<div class="service-single-area" > 
			<?php
				$services_page_id = get_theme_mod('services_page');
				$sersubtitle = get_theme_mod('sersubtitle', 'What we do');	
				$services_maintitle = get_theme_mod('services_maintitle', 'Weight loss service & programs provided ');

			?>
			<div class="container">
				<div class="row justify-content-center">
					<div class="col-md-offset4 col-md-8  ">
					<?php if($sersubtitle || $services_maintitle){ ?>	
						<div class="section-title">
						
						<?php if($sersubtitle){ ?>	
							<div class="section-subtitle inner-area-title">
								<?php echo ($sersubtitle);  ?>	
							</div>
						<?php }?>
						<h2><?php echo ($services_maintitle);  ?></h2>
						</div>
					</div>
					
				<?php }?>
				</div>
			</div>
			<div class="serbx">
			<div class="container">
				<?php 
				$showStatic = true;
				$cols = get_theme_mod('service_npp_count', 5);
				$cols++;
				switch($cols){
					case 1:
					$colCls = 'col-md-12 col-sm-12';
					break;
					case 2:	
					$colCls = 'col-md-6 col-sm-6';
					break;
					case 3:
					case 5:
					case 6:
					case 9:
					case 11:
					case 13:
					case 15:
					$colCls = 'col-md-4 col-sm-6';
					break;
					default: 
					$colCls = 'col-md-4 col-sm-6';
					break;
				}
				for( $i = 1; $i <= $cols; $i++ ){
					$services_page_id = get_theme_mod('services_page'.$i); 
					$services_page_icon = get_theme_mod('services_page_icon'.$i);
					//$services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
					if($services_page_id){
						$showStatic = false;
						echo serviceShortCode($services_page_id, $isCustomizer=true, $i);
					}
				}
				if($showStatic === true){
					for( $i = 1; $i <= $cols; $i++ ){ ?>
						<div class="<?php echo $colCls;?> single-service-bx ">
							<div class="single-service singleservice">
								<div class="service-icon">
									<a href="#">
										<img class="img-responsive" src="<?php echo esc_url(get_template_directory_uri().'/images/ser2.jpg');?>" alt="services" />
									<div class="overlay">
										<div class="tl6"></div>
										<div class="tr6"></div>
										<div class="bl6"></div>
										<div class="br6"></div>
									</div>
									</a>
									<div class="clearfix"></div>
								</div>
								<div class="sertxbx">
								<a href="#">
									<h4 class="post-title inner-area-title wow fadeInDown">Online Training House Programs</h4>
								</a>
								<p class="section-area-text">Lorem ipsum dolor sit amet, consectetur notted adipisicing elit sed do.</p>
								
								<div class="serbtn">
									<a href="#"><span>Learn More</span></a>
								<div class="clearfix"></div>
								</div>	
								</div>
							</div>
						</div>
						<?php 
					}
				} ?>
			</div>
		</div>
			<div class="clearfix"></div>
		</div>
	</div>

<script type="text/javascript">
    var title = 0;
jQuery("#service .single-service").each(function(){
  if ($(this).height() > title) { title = $(this).height(); }
});
jQuery("#service .single-service").height(title);


// on Resize change height

jQuery(window).resize(function(){
  jQuery("#service .single-service").height("");
  var title = 0;
  jQuery("#service .single-service").each(function(){
    if ($(this).height() > title) { title = $(this).height(); }
  });
  jQuery("#service .single-service").height(title);
});
</script>


<?php }