<?php
/**
 * Template Name: Contact Page
 *
 * @package luzuk Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header"  <?php  if (!empty($image)) : ?>
             style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover; position: relative;"
              <?php endif ?>>
    <div class="overlay1"></div>
    <div class="container">
        <?php the_title( '<h1 class="ht-main-title ">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
     <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') :
        ?>
        <div class="breadcrumbbox ">
            <div class="container">
                <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                <!--  <?php //luzuk_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
    <?php endif ?>    
</header><!-- .entry-header --> 

<main id="innerpage-box" >
	<div class="container">
		<div class="contact-address-area">
			

    <?php 
    	$luzuk_contactus_phhone = get_theme_mod('luzuk_contactus_phhone', 'PHONE NUMBER');
    	$phone = get_theme_mod('luzuk_contactus_phone', '+1 999 999 9999');
    	$phone2 = get_theme_mod('luzuk_contactus_phone2', '+1 888 888 888');

    	$luzuk_contactus_emailid = get_theme_mod('luzuk_contactus_emailid', 'EMAIL ADDRESS');
    	$email = get_theme_mod('luzuk_contactus_email', 'contact@example.com');
    	$email2 = get_theme_mod('luzuk_contactus_email2', 'info@example.com');

		$luzuk_contactus_addrress = get_theme_mod('luzuk_contactus_addrress', 'LOCATION');
		$address = get_theme_mod('luzuk_contactus_address', 'Add Contact Address here..');
	
	?>

		    <div class="row row-eq-height" >

		   		<?php if($luzuk_contactus_phhone  || $phone || $phone2){ ?>
		   		<div class="col-md-4 col-sm-12 col-xs-12 ">
		   			<div class="cntpgbx">
			   			<div class="cntpgicn">
			   				<i class="fa fa-phone" ></i>
			   			</div>
			   			<div class="cntpgtxt">
			   				<h3 class="inner-area-title">
			   					<?php echo ($luzuk_contactus_phhone);  ?>
			   				</h3>
			   				<a class="" href="tel:<?php echo $phone;?>"><p><?php echo $phone;?></p></a>
		                     <a class="" href="tel:<?php echo $phone2;?>"><p><?php echo $phone2;?></p></a>           
			   			</div>
			   		</div>
		   		</div>
				 <?php } ?>	

				 <?php if($luzuk_contactus_emailid  || $email || $email2){ ?>
		   		<div class="col-md-4 col-sm-12 col-xs-12 ">
		   			<div class="cntpgbx">
			   			<div class="cntpgicn">
			   				<i class="fa fa-envelope" ></i>
			   			</div>
			   			<div class="cntpgtxt">
			   				<h3 class="inner-area-title">
			   					<?php echo ($luzuk_contactus_emailid);  ?>
			   				</h3>
			   				<a href="mailto:<?php echo $email;?>"><p><?php echo $email;?></p></a>
		                    <a href="mailto:<?php echo $email2;?>"><p><?php echo $email2;?></p></a>
		           
			   			</div>
			   		</div>
		   		</div>
				 <?php } ?>	

				  <?php if($luzuk_contactus_addrress  || $address ){ ?>
		   		<div class="col-md-4 col-sm-12 col-xs-12 ">
		   			<div class="cntpgbx">
			   			<div class="cntpgicn">
			   				<i class="fa fa-map-marker" ></i>
			   			</div>
			   			<div class="cntpgtxt">
			   				<h3 class="inner-area-title">
			   					<?php echo ($luzuk_contactus_addrress);  ?>
			   				</h3>
			   				<p><?php echo $address;?></p>
			   			</div>
			   		</div>
		   		</div>
				 <?php } ?>

				<div class="clearfix"></div>
			</div>
  			<div class="clearfix"></div>
		</div>
	</div>	
	
	<div id="ht-contactus-wrap">
		<?php 
			$shortcodeLbl = get_theme_mod('luzuk_contactus_shortcode_lbl', 'SEND YOUR MESSAGE');
			$contactusformsutitle = get_theme_mod('luzuk_contactus_formsutitle', 'Feel free to reach out with any questions or comments below');
			$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your form shortcode customizer');
			$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');
		?>
		<div class="contact-form">
			<div class="container"> 
				<div class="conforminn">
					<div class="con-onay"></div>
	                <div class="maintle inner-area-title"><?php echo $shortcodeLbl;?></div>		
	                <div class="s-title inner-area-title"><?php echo $contactusformsutitle;?></div>
	                <div class="ctform">
						<?php echo do_shortcode($shortcode);?>	
					</div>
					<div class="clearfix"></div>	
				</div>
				<div class="clearfix"></div>					
			</div>
		</div>
	</div>
	<div class="contact-mapbox ">
		<?php echo $iframe; ?>
	</div>
	<div class="clearfix"></div>
</main>
<?php get_footer(); ?>