<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */

?>
<?php 
if( get_theme_mod('sec_footerseTmargin',true) ) {
	$sec_footerseTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_footerseTmargin')).';';
}
if( get_theme_mod('sec_footersebottommargin',true) ) {
	$sec_footersebottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_footersebottommargin')).';';
}
if( get_theme_mod('sec_footersecopacity',true) ) {
	$sec_footersecopacity = 'opacity:'.esc_attr(get_theme_mod('sec_footersecopacity')).';';
}

?>		

<footer class="footer-area" id="footer" style="<?php echo esc_attr($sec_footerseTmargin); ?>" "<?php echo esc_attr($sec_footersebottommargin); ?>" "<?php echo esc_attr($sec_footersecopacity); ?>">
<!-- 	<div class="overlay" ></div> -->

	<?php if(is_active_sidebar('luzuk-footer1') || is_active_sidebar('luzuk-footer2') || is_active_sidebar('luzuk-footer3') || is_active_sidebar('luzuk-footer4') ){ ?>
		
		<div class="top-area ">
				<div class="container"> 
						<div class="row ">
							<div class="s-footer col-lg-4 col-md-4 col-sm-6 col-xs-12 single-footer-1">
									<div class="single-footer wow zoomIn" data-wow-duration="1s" >
										<?php if(is_active_sidebar('luzuk-footer1')): 
											dynamic_sidebar('luzuk-footer1');
										endif;
										?>	
									</div>
									<div class="clearfix"></div>
							</div>

							<div class="s-footer col-lg-2 col-md-2 col-sm-6 col-xs-12 single-footer-2">
									<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
										<?php if(is_active_sidebar('luzuk-footer2')): 
											dynamic_sidebar('luzuk-footer2');
										endif;
										?>	
									</div>
									<div class="clearfix"></div>
							</div>

							<div class="s-footer col-lg-3 col-md-3 col-sm-6 col-xs-12 single-footer-3">
									<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
										<?php if(is_active_sidebar('luzuk-footer3')): 
											dynamic_sidebar('luzuk-footer3');
										endif;
										?>	
									</div>
									<div class="clearfix"></div>
							</div>

							<div class="s-footer col-lg-3 col-md-3 col-sm-6 col-xs-12 single-footer-4" >
									<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
										<?php if(is_active_sidebar('luzuk-footer4')): 
											dynamic_sidebar('luzuk-footer4');
										endif;
										?>	
									</div>
								<div class="clearfix"></div>
							</div>
						<!-- <div class="clearfix"></div> -->
						</div>
				</div>
		</div>
	<?php } ?>

		<?php 

				if( get_theme_mod('sec_bottomareaTmargin',true) ) {
					$sec_bottomareaTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_bottomareaTmargin')).';';
				}
				if( get_theme_mod('sec_bottomareabottommargin',true) ) {
					$sec_bottomareabottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_bottomareabottommargin')).';';
				}
		
		?>		

		<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
	
		<div class="bottom-area wow zoomIn" style="<?php echo esc_attr($sec_bottomareaTmargin); ?>" "<?php echo esc_attr($sec_bottomareabottommargin); ?>">
				<div class="container">
						<div class="col-md-12 col-sm-12 col-xs-12 pd-0">
								<div class="footer-text">
									<?php if($footercopyright){ ?>
											<?php echo $footercopyright;?>
									<?php } ?>
								</div>
						</div>
				</div>
		</div>
	
</footer><!-- #colophon -->

<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>

<!-- <script>
	document.addEventListener("DOMContentLoaded", function(event) {

  
  var back2top = document.getElementsByClassName("back2top")[0];

  document.addEventListener("scroll", function(event) {
    if (getScollTop() > 200) {
      back2top.style.display = "block";
    } else {
      back2top.style.display = "none";
    }
  });

  back2top.addEventListener("click", function(event) {
    window.scrollTo(0, 0);
  });
});


function getScollTop() {
  var scrollTop = 0;
  if (window.pageYOffset) {
    scrollTop = window.pageYOffset;
  } else if (document.documentElement && document.documentElement.scrollTop) {
    scrollTop = document.documentElement.scrollTop;
  } else if (document.body) {
    scrollTop = document.body.scrollTop;
  }
  return scrollTop;
}

</script> -->


<?php wp_footer(); ?>
<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
</body>
</html>
