<?php
       
/*services*/
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',3);  
    //$services_page_icon1 = get_theme_mod('services_page_icon1'.$i);
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();

            ?>

        <div class="<?php echo $colCls; ?> single-service-bx "> 
            <div class="single-service">
                <div class="service-icon">

                    <a href="<?php the_permalink(); ?>">
                    <?php
                        if (has_post_thumbnail()) {
                            $image_url = $luzuk_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                        }
                    ?>                                                        
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        <div class="overlay">
                            <div class="tl6"></div>
                            <div class="tr6"></div>
                            <div class="bl6"></div>
                            <div class="br6"></div>
                        </div>
                    </a>
                </div>
                <div class="sertxbx">
                    <a href="<?php the_permalink(); ?>">
                        <h4 class="post-title inner-area-title wow fadeInDown"><?php the_title(); ?></h4>
                    </a>
                    <p class="section-area-text">
                        <?php

                            if(has_excerpt()){
                              echo get_the_excerpt();
                             }else{
                              echo luzuk_excerpt( get_the_content() , 100 );
                             } 
                        ?>
                    </p>
                    <?php
                        $ser_button1 = get_theme_mod('ser_button1', 'Learn More');
                    ?>
                    <?php if($ser_button1) { ?>
                        <div class="serbtn">  
                            <a href="<?php echo esc_url(get_permalink()); ?>">
                                <span><?php echo $ser_button1 ?></span>
                            </a>
                        </div> 
                    <?php }?>
                    
                </div>
            </div>
        </div>
        <!-- inner-page -->
        <div class="col-md-4 col-sm-6 col-xs-12 inn-single-service-bx">
            <div class="singleinner-service">
                 <div class="service_inbox serviceinbox">
                    <!-- <div class="col-md-10 col-sm-10 col-xs-10 pd-0"> -->
                        <div class="service_inimg">
                            <a href="<?php the_permalink(); ?>">
                           <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/services.jpg';
                            }
                            ?>                                                        
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <div class="serinnolay"></div>
                        </a>
                            <div class="serbx">
                                <div class="col-md-10 col-sm-10 col-xs-10 pd-0">
                                    <div class="service_inbox-content">
                                        <h3 class="title"> <a href="<?php the_permalink(); ?>"><?php the_title(); ?> </a></h3>
                                        <p class="description"><?php
                                            if(has_excerpt()){
                                              echo get_the_excerpt();
                                             }else{
                                              echo luzuk_excerpt( get_the_content() , 90 );
                                             } 
                                            ?>
                                        </p>
                                    </div>
                                </div>
                                <a href="<?php the_permalink(); ?>">
                                <div class="col-md-2 col-sm-2 col-xs-2 pd-0 serbtn">
                                    <i class="fa fa-angle-double-right" aria-hidden="true"></i>
                                </div>
                                </a>
                            </div>
                        </div>
                    <!-- </div> -->
                </div>
            </div>
        </div>
        <!-- inner-page -->
<script type="text/javascript">
      var title = 0;
      jQuery("#innerpage-box .service_inbox").each(function(){
        if ($(this).height() > title) { title = $(this).height(); }
      });
      jQuery("#innerpage-box .service_inbox").height(title);


      // on Resize change height

      jQuery(window).resize(function(){
        jQuery("#innerpage-box .service_inbox").height("");
        var title = 0;
        jQuery("#innerpage-box .service_inbox").each(function(){
          if ($(this).height() > title) { title = $(this).height(); }
        });
        jQuery("#innerpage-box .service_inbox").height(title);
      });
</script>

            <?php
        endwhile;
        $text = ob_get_contents();
        ob_clean();
    endif;
    wp_reset_postdata();
    return $text;
}


//adding a shortcode 

add_shortcode('SERVICES', 'serviceShortCode');
