<?php
if(get_theme_mod('about_area_disable') != 'on' ){
	?>
	<!-- About Area Start -->
	<?php 
				if( get_theme_mod('about_areaTpadding',true) ) {
					$about_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('about_areaTpadding')).';';
				}
				if( get_theme_mod('about_areaBpadding',true) ) {
					$about_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('about_areaBpadding')).';';
				}
				if( get_theme_mod('about_areawave',true) ) {
					$about_areawave = 'top:'.esc_attr(get_theme_mod('about_areawave')).';';
				}
				?>			
	<div class="about-area bg-img-1" id="about">
		<div class="container">
		<?php
			$about_page_id = get_theme_mod('about_page');
			$abouttitle = get_theme_mod('about_title', 'Your weight loss support');
			$abouttext = get_theme_mod('about_text', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan lacus vel facilisis.');

		?>
			<div class="col-md-6 ">
				<div class="aboutarea-img">
					<?php 
						$about_image = get_theme_mod('about_image');
						if(!empty($about_image)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image).'" class="img-responsive secondry-bg-img" />';
						}else{
							echo '<img alt="About us" src="'.get_template_directory_uri().'/images/about.jpg" class="img-responsive" />';
						}

					?>
				</div>
			</div>
			<div class="col-md-6 " data-wow-duration="1s">
			  <?php if($abouttitle ){ ?>	
				<div class="section-title">
					<?php if($abouttitle){ ?>	
						<h2><?php echo ($abouttitle);  ?></h2>
					<?php }?>
				</div>
			  <?php }?>
				<div class="section-subtext">
					<p><?php echo ($abouttext);  ?></p>
			
				<div class="abt-btn">
					<?php
						$abtbtntxt = get_theme_mod('abtbtntxt', 'More info'); 
						$abtbtnlink = get_theme_mod('abtbtnlink', 'add link here');
						?>
						<?php if(!empty($abtbtntxt)){ ?>
							<a href="<?php echo $abtbtnlink ?>"><span><?php echo ($abtbtntxt);  ?></span></a>
						<?php }?> 
				</div>

			
				</div>
				<div class="clearfix"></div>
			<?php
				$showStatic = true;
				for( $i = 1; $i < 11; $i++ ){
					$aboutus_page_id = get_theme_mod('aboutus_page_icon'.$i); 
					if(!empty($aboutus_page_id)){
						$showStatic = false;
						break;
					}
				}
				?>

				<div class="aboutus-post-wrap">
					<?php
					$cols = get_theme_mod('aboutus_npp_count', 1);
					$cols++;
					// echo '$cold: '.$cols;
					switch($cols){
						case 1:
						$colCls = 'col-md-12 col-sm-12';
						break;
						case 2:
						case 4:
						case 8:
						case 7:
						case 10:
						case 11:
						case 12:
						$colCls = 'col-md-6 col-sm-6';
						break;
						default: 
						$colCls = 'col-md-6 col-sm-6';
						break;
					}
					$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
					?>
					<div class="row aboutus-post-boxes">
					<?php
					for( $i = 1; $i <= $cols; $i++ ){
					if($showStatic === false){
						
						$aboutus_page_title = get_theme_mod('aboutus_page_title'.$i, 'BODY & FITNESS GUIDE');
						$aboutus_page_id = get_theme_mod('aboutus_page'.$i); 
						$aboutus_page_icon = get_theme_mod('aboutus_page_icon'.$i);
						if($aboutus_page_icon){
							
					?>
						<div class="<?php echo $colCls;?> ">
							<div class="aboutus-single" >
								<div class="hi-icon">
									<div class="abmgbrd"></div>
									<img src="<?php echo esc_url($aboutus_page_icon); ?>" class="img-responcive" />
									<!-- <span class="<?php //echo $aboutus_page_icon; ?>"></span> -->
								</div>
								<div class="about-area-data">
									<h4 class="inner-area-title"><?php echo $aboutus_page_title; ?></h4>
								</div>
								<div class="clearfix"></div>
							</div>
							<div class="clearfix"></div>
						</div>
						<?php
								
						}
					}else{?>
						<div class="<?php echo $colCls;?> ">
							<div class="aboutus-single " data-wow-duration="3s">
								<div class="hi-icon">
									<div class="abmgbrd"></div>
									<img src="<?php echo esc_url(get_template_directory_uri().'/images/abt1.jpg');?>" alt="Team" />
								</div>
								<div class="clearfix"></div>
								<div class="about-area-data">
									<h4 class="inner-area-title">BODY & FITNESS GUIDE</h4>
								</div>
								<div class="clearfix"></div>					
							</div>
							<div class="clearfix"></div>
						</div>
					<?php }
					}?>
					<div class="clearfix"></div>
					</div>
				</div>
			</div>
			
			<div class="clearfix"></div>
		</div>
	</div>
	<!-- About Area End -->
<?php }  